' C:\Program Files\Quest\Dark_Realm.asl created by QDK 1.0 (Beta 4)

'*** The following line is required by QDK - please do not remove
'QDK-NIP <100>


define game <Dark Realm>
asl-version <210>
start <The Back of the Tavern>
game author <Stephan Christensen>
game version <>
game copyright <>
game info <Created with QDK 1.0 (Beta 3A)>
default fontname <>
default fontsize <8>
items <Note; Match; Apple; Blade; Pen; Paper; Toothpick; Dummy Certificate; Gate Pass; Cat Head; Slip; Rinfist's Helmet; Gold Key; Compact Mirror; Icon Key; Club; Torch; Key; Remote>
startitems <>
collectables <>
end define

define synonyms
end define
define room <The Tavern>
east <Holmin Street>
define character <Gurtonis>
look do <~Internal Procedure 2>
speak do <~Internal Procedure 1>
gender <he>
give <apple> do <~Internal Procedure 21>
give <blade> do <~Internal Procedure 22>
use <blade> do <~Internal Procedure 20>
use <pocket knife> msg <Wouldn't it work better to use his own sword?>

end define
define character <Thrimok>
look msg <Thrimok seems to not notice you looking at him. he doesn't seem to notice anything.>
speak do <~Internal Procedure 8>
gender <he>
use <blade> msg <What did he ever do to you?>

end define
define character <Bartender>
look msg <The bartender stands between the counter an the wall, serving drinks to the passerby who pay for it.>
speak say <|cl|iYou gonna buy something?|cb|xi>
prefix <the>

end define
define object <Gurtonis's blade>
look do <~Internal Procedure 6>
take do <~Internal Procedure 7>

end define
indescription  <You sit in the Tavern, where many an adventurer rest and have a few drinks.>

end define

define room <Holmin Street>
north <North Holmin Street>
east <Guard Barracks>
west <The Tavern>
define character <Merchant>
look msg <Ragged clothes, dirty hair.. you 've seen one you've seen them all. Least the merchants of Holmin are all this way.>
speak do <~Internal Procedure 9>
gender <he>

end define
define character <Beggar>
look msg <He just sits there, holding out a rusty cup for change>
speak say <|cl|iWASSUP!?|cb|xi>
gender <he>

end define
define object <A shiny apple>
look msg <This apple looks very shiny.>
take do <~Internal Procedure 10>
invisible

end define
indescription  <The street is bustling with activity. Traders and merchants run around all over the market. It's amazing everyone has air.>

end define

define room <Guard Barracks>
west <Holmin Street>
define character <Cityguard>
look msg <Shining armor, broad sword, large shield. Don't mess with Mr. Grand here.>
speak msg <Cityguards guard, not talk (doofus)>
gender <he>
give <apple> do <~Internal Procedure 17>
use <apple> msg <You gonna hit him with it?>
use <match> msg <You gonna start a fire on his armor?>
use <blade> do <~Internal Procedure 16>
use <paper> msg <You give him a papercut through his armor, or at least try to.>
use <toothpick> do <~Internal Procedure 40>

end define
indescription  <The Barracks of the guard of Holmin, where tired Cityguards may sit and eat or sleep. This cityguard looks like he could use something a little appetizing. He looks starved.>

end define

define room <North Holmin Street>
north <City Gates>
south <Holmin Street>
define character <Flies>
look msg <Never seen flies before?>
speak do <~Internal Procedure 23>
gender <it>

end define
define object <Smelly trash>
look msg <It's smelly, and it's trash, tossed out no doubt through windows. >
take msg <You shouldn't... for your health.>

end define
indescription  <North Holmin Street is a little messy.. A little more north and you will be upon the City Gates, unless you are going south.>

end define

define room <City Gates>
south <North Holmin Street>
define character <Guard>
look msg <You can tell he isn't gonna let you past without some type of pass.>
speak if got <Gate Pass> then do <~Internal Procedure 24> else say <|cl|iYou cannot pass|cb|xi>
gender <he>

end define
indescription  <Talk to the Guard if you want to get past.. you might need a pass, too>

end define

define room <Bolsis>
north <Bolsis Markets>
script if got <Note> then do <~Internal Procedure 25> else do <~Internal Procedure 26>
indescription  <You've never been to Bolsis, but this city seems quite spectacular.>

end define

define room <The Dungeon>
script playerlose <>
define character <that a skeleton lies>

end define
indescription  <Cold wall of stone surround you. No way out, no way in, trapped forever until you die.>

end define

define room <Bolsis Markets>
north <Bolsis Way>
east <Food Store>
west <Armoury>
script if got <Rinfist's Helmet> then exec <talk to rinfist>
define character <Alley Cat>
look msg <A mangy cat hisses at you.>
speak msg <People may think you are insane.>
use <blade> do <~Internal Procedure 29>

end define
define character <Person>
look msg <A warrior holding in his left a shield, in his right an axe. He wears a blue cape fluttering in the breeze, if any in these markets.>
speak do <~Internal Procedure 30>
gender <he>

end define
define character <Rinfist>
look msg <The big oaf is smiling broadly, axe on his shoulder. Any stupider and it would be in his shoulder.>
speak do <~Internal Procedure 31>
invisible
give <dummy certificate> do <~Internal Procedure 39>

end define
indescription  <More people wander around here than in Holmin, yet the greater space makes up for that well enough. To the west and east there lay some shops, one looks like it sells weapons and armor, the ther food and goods as such.>

end define

define room <Armoury>
east <Bolsis Markets>
script say <|cl|iHello, there|xi|cb>
define character <Lowhem>
look msg <Just a shopkeeper, selling armour and weapons, just for you.. and others.>
speak say <|cl|iHello, there|xi|cb>
give <slip> do <~Internal Procedure 32>
give <note> do <~Internal Procedure 35>

end define
define object <counter>
look msg <A wooden counter is all that seperates you from all that armour and weapons.. oh, and Lowhem too>
take msg <Lowhem raises his eyebrow.>
prefix <a>

end define
indescription  <As you enter, you spot a shopkeeper behind a counter in front of armour and weapons of many kinds. This must be Lowhem here behind the counter.>

end define

define room <Food Store>
west <Bolsis Markets>
define character <Grocer>
look msg <The grocer looks like he is busy with a customer at the moment.>
speak msg <The grocer looks like he is busy with a customer at the moment.>
gender <he>

end define
define character <Customer>
look msg <The customer and the grocer are talking to each other.>
speak do <~Internal Procedure 43>
gender <he>

end define
define object <Fruit>
look msg <The fruit looks very delicious>
take do <~Internal Procedure 41>

end define
define object <Veggies>
look do <~Internal Procedure 42>
take msg <Stealing from a grocer? Shame.>

end define
indescription  <You enter a very little store, just enough room for two people other than the shopkeeper and the counter.>

end define

define room <Bolsis Way>
north <North Bolsis Gate>
south <Bolsis Markets>
define character <Poltor>
look msg <Poltor, the mayor of Bolsis. He led the war against Kingspon years ago. Coward never even saw any battle. You heard he likes to travel...>
speak msg <He looks like he is too important for you to talk to.>
gender <he>
give <gate pass> do <~Internal Procedure 46>
use <blade> do <~Internal Procedure 44>

end define
define object <Golden Door>
look msg <This door is made of Gold>
take msg <And just how do you plan on doing that?>
prefix <a>
use <gold key> do <~Internal Procedure 47>

end define
define object <Wall>
look msg <You lead an exciting life as you stare at the wall>
take msg <You do that.>

end define
indescription  <As you move further away from the Markets of Bolsis, you begin towards the outside of the town. To the west is a golden door, to the east is a wall. north leads out of Bolsis, so you may begin your final trek.>
east

end define

define room <Rusty Room>
north <Rusty Halls>
east <Bolsis Way>
indescription  <The golden door leads to a rusty-wall room, dark and thick in air. East leads back to Bolsis Way, but you might not be able to return if you leave. To the north the rusty hall continues. >

end define

define room <Rusty Halls>
out <Rusty Halls>
north <Rusty Halls>
south <Rusty Halls>
east <Bright Shrine>
west <Rusty Halls>
indescription  <Rust, halls, not much more than that.>

end define

define room <Bright Shrine>
east <Rusty Room>
define object <small mirror>
look msg <Your prize, the legend of the Gold/Rust/Maze/Halls... it seems to reflect moderately, at best.>
take do <~Internal Procedure 48>
prefix <a>

end define
indescription  <What is this? An end to the maze! Congrats! Your prize is:  Compact Mirror>

end define

define room <North Bolsis Gate>
north <Ogre Wood>
south <Bolsis Way>
define character <Sleeping Guard>
look msg <Just like the guard in Holmin, except this one looks lazy.>
speak say <|i|clZZZZZZZZ|xi|cb>
gender <he>
prefix <a>
give <gate pass> do <~Internal Procedure 50>
use <blade> msg <I don't think you really want to.>
use <pen> msg <You draw a moustache on his face.>
use <toothpick> msg <You clean his teeth while he sleeps>

end define
define object <Open Gate>
look msg <The edge of Bolsis, the very boder is this gate. Walk through, and you might not enter again.>
take msg <Taking the Open Gate would be difficult. besides, where would you take it to?>
prefix <the>

end define
indescription  <This is the edge of Bolsis. Continue further north and you will come upon the Ogre Wood>
north

end define

define room <Ogre Wood>
define character <Ogre>
look msg <A large ogre with extra large teeth. Looks dangerous.>
speak do <~Internal Procedure 52>
give <cat head> msg <Try use instead>
use <blade> do <~Internal Procedure 54>
use <cat head> do <~Internal Procedure 55>

end define
define character <Dining Ogre>
look msg <This ogre is eating a cat's head. He seems preoccupied with devouring it all.>
speak msg <That would be rude, trying to talk to him when he is eating.>
hidden
use <blade> do <~Internal Procedure 56>

end define
define character <Ogre Corpse>
look do <~Internal Procedure 57>
speak msg <It's dead...>
hidden

end define
define object <paper>
invisible
use <match> if got <Club> then do <~Internal Procedure 58> else do <paperburn>

end define
define object <club>
invisible
use <match> msg <That match can't light that club. The heat won't be enough.>

end define
define object <Tower Door>
look msg <A stone door with a keyhole in the exact center.>
take msg <You may need it where it is.>
prefix <a>
use <icon key> if here <Ogre> then msg <The ogre will see you doing that.> else if here <Dining Ogre> then msg <Even if he is eating, he will trade the cat head for you anytime.> else do <~Internal Procedure 59>
use <stone key> do <Key>
use <key> do <Key>

end define
indescription  <The forest is deep and dark. You had traveled a good distance through here. Ahead you see a stone door with a keyhole in it. An Ogre is wandering in front of it though. How will you pass?>

end define

define room <Izuran's Tower, Floor 1>
north <2nd Floor>
define character <Bats>
look msg <Black bats are hanging on the ceiling above you.>
speak msg <You talk to them, but get nowhere.>
prefix <a few>
use <blade> msg <They are on the ceiling, how will you reach them?>
use <pen> msg <They say the pen is mightier than the sword. Still, you can't reach them.>

end define
indescription  <You enter the tower using the Key you recieved from Lowhem. the smell of the forest air turns to a dank, dark, wet stone floor and walls. Ahead are stairs that rise up to the next floor.>

end define

define room <Pitch Black>
script do <~Internal Procedure 60>
indescription  <Darkness surrounds you.>

end define

define room <2nd Floor>
south <Izuran's Tower, Floor 1>
east <3rd Floor>
indescription  <There are stairs to the south, leading down, and stairs to the east, leading up.>

end define

define room <The Back of the Tavern>
north <The Tavern>
define object <match>
look msg <The match is lying on your table.>
take do <~Internal Procedure 62>
prefix <a>

end define
define object <paper>
look msg <A blank sheet of paper is lying on your table.>
take do <~Internal Procedure 63>

end define
define object <toothpick>
look msg <A toothpick is on your table so you can clean your teeth.>
take do <~Internal Procedure 64>

end define
define object <pen>
look msg <A pen, full of ink, is on the table.>
take do <~Internal Procedure 65>

end define
define object <table>
look msg <This is the table you were sitting at.>
take msg <It belongs to the tavern>

end define
indescription  <A dimly light room, where you sat and had some drink just recently. Better get your things, it's time to go.>

end define

define room <3rd Floor>
east <3rd Floor Hallway>
west <2nd Floor>
indescription  <The stones are very cold and damp, and you aren't surprised to find some slime in the corner made by the ground and wall. To the east there is a hallway.>

end define

define room <3rd Floor Hallway>
west <3rd Floor>
define character <Slime Creature>
look msg <A creature made of a gooey slime. don't touch it or you might get absorbed or something.>
speak if ask <Do you want to try and reason with it?> then msg <You attempt to reason with the Slime Creature, but it doesn't seem to be listening...> else if ask <Are you going to insult it?> then do <~Internal Procedure 69> else if ask <Are you going to tell it a joke?> then msg <You tell it a joke to try and ease it's killing instinct. He keps going towards you. Hmm, maybe it's heard that one.> else do <~Internal Procedure 72>

end define
define character <Slime Monster>
look msg <It definitely looks ready to kill now.>
speak msg <That won't do any good now>
hidden
use <blade> do <~Internal Procedure 73>
use <torch> do <~Internal Procedure 95>

end define
define object <Metallic Door>
look msg <A door made of metal is at the end of the hallway>
take msg <No time for that now.>
prefix <a>
use <remote> do <~Internal Procedure 75>

end define
indescription  <You continue down the hall, and halt to see a Slime Creature standing before you. It is in front of a metallic door.>

end define

define room <Top Floor>
west <3rd Floor Hallway>
define character <Man>
look msg <A shadowy figure of a man. What is he intending?>
speak do <mantalk>

end define
define character <Hilfalgen>
look msg <He doesn't look very trustworthy.>
speak msg <His speech is full of trickery, talking would be foolish.>
hidden
use <blade> do <~Internal Procedure 87>
use <compact mirror> do <~Internal Procedure 96>

end define
indescription  <At last, the top floor of Izuran's Tower. the cold wind howls as you stand on the ledge of the roof. You are now closer then ever to completing your quest.>

end define

define room <Izuran's Throne Room>
script do <~Internal Procedure 90>
indescription  <A large room, all homage to the great evil behind the Dark Realm, or the beginnings of it before it was even formed.>

end define

define procedure <~Internal Procedure 0>
say <That's it! You drew the last straw!>
msg <Gurtonis takes out a dagger and stabs you in the heart! Oh, well.>
playerlose <>

end define

define procedure <~Internal Procedure 1>
if got <Blade> then do <~Internal Procedure 3> else say <|cr|iI don't want to talk to the likes of you.|cb|xi>

end define

define procedure <~Internal Procedure 2>
msg <He spots you staring at him.>
say <|cr|iLook elsewhere, you!|cb|xi>

end define

define procedure <~Internal Procedure 3>
say <|cr|iAw, you! Give me back my blade!|cb|xi>
msg <Gurtonis takes out a dagger and stabs you in the heart! Oh, well>
playerlose <>

end define

define procedure <~Internal Procedure 4>
msg <A longsword of Gurtonis's. It has a faint glow to it..>
msg <Gurtonis glares at you.. better not.>

end define

define procedure <~Internal Procedure 5>
msg <You should talk to Gurtonis if you are gonna take his sword like that.>
msg <You take Gurtonis's blade>
give <Gurtonis's blade>
concealobject <Gurtonis's blade>

end define

define procedure <~Internal Procedure 6>
msg <Gurtonis's blade rests against the bar, glowing faintly>
msg <Gurtonis spots you.. better not>

end define

define procedure <~Internal Procedure 7>
msg <You should talk to him if you are going to do that.>
msg <You take Gurtonis's blade>
give <Blade>
concealobject <Gurtonis's blade>

end define

define procedure <~Internal Procedure 8>
say <|cl|iHm?|cb|xi>
msg <He looks up at you.>
say <|cl|iOh, greetings, dear adventurer. You look trustworthy, unlike some others here.|cb|xi>
msg <He looks at Gurtonis, then turns back to you.>
say <|cl|iHere. Take this note to Lowhem in Bolsis.. north of here.|cb|xi>
give <Note>
say <|cl|iGood luck to you, son.|cb|xi>
msg <He bows then leaves the tavern.>
concealchar <Thrimok>

end define

define procedure <~Internal Procedure 9>
say <|cl|iYou want to buy? No? get out of my way then!|cb|xi>
msg <The merchant pushes you out of the way and drops an apple.>
concealchar <Merchant>
revealobject <A shiny apple>

end define

define procedure <~Internal Procedure 10>
concealobject <A shiny apple>
msg <You take an apple>
give <Apple>

end define

define procedure <~Internal Procedure 11>
msg <Dummy!  You're as good as dead!>
msg <I heard of stupid, but geez...>
playerlose <>

end define

define procedure <~Internal Procedure 12>
msg <I wouldn't hit him with it..>

end define

define procedure <~Internal Procedure 13>
msg <You scare me.>
give <Dummy Certificate>

end define

define procedure <~Internal Procedure 14>
say <Wow! An apple, thanks.>
lose <A shiny apple>
hideobject <A shiny apple>
msg <He eats the apple quickly (wow, what a pig)>
say <Here, take this. Now you can leave Holmin if you wish>
give <Gate pass>

end define

define procedure <~Internal Procedure 15>
msg <Smart move there, adventurer. Show him what you got!>
msg <The Cityguard makes short work of you. Ouch!>
playerlose <>

end define

define procedure <~Internal Procedure 16>
msg <You scare me. For that, you get an award!>
msg <You get the Dummy Certificate. You deserve it.>
give <Dummy Certificate>

end define

define procedure <~Internal Procedure 17>
say <|cl|iOoh! An apple! Thanks!|cb|xi>
lose <Apple>
msg <The cityguard eats it all in three seconds (geez).>
say <|cl|iHere ya go. Now you can leave Holmin!|cb|xi>
msg <The cityguard gives you a gate pass.>
give <Gate Pass>

end define

define procedure <~Internal Procedure 18>
msg <Smart, there goes your only piece of paper, not to mention your only match.>
lose <Paper>
lose <Match>

end define

define procedure <~Internal Procedure 19>
msg <You doodle some on your paper... you go at it for hours. Hmm your ink is all gone. Nice while it lasted.>
lose <Pen>

end define

define procedure <~Internal Procedure 20>
msg <Geez, might as well have just told him you took his sword.>
msg <You swing, miss, and then feel a dagger in your heart, but not for long. >
playerlose <>

end define

define procedure <~Internal Procedure 21>
say <Apples, hmph!>
msg <Guess he doesn't want it>

end define

define procedure <~Internal Procedure 22>
say <Yes, i know that's a sword. in fact it's mine, so leave it be.>
msg <he pauses>
say <Rather, I should be going now, goodbye.>
lose <Blade>

end define

define procedure <~Internal Procedure 23>
say <|cl|iYeah?|cb|xi>
msg <Wow, must be the trash... that's dangerous stuff>

end define

define procedure <~Internal Procedure 24>
say <|cl|iLooks like you have a pass.. proceed|cb|xi>
msg <You leave Holmin forever, traveling out to the countryside...>
goto <Bolsis>

end define

define procedure <~Internal Procedure 25>
msg <Some very tough looking guards come up to you.>
say <|cl|iWhat is your reason for being here?|cb|xi>
msg <You show them Thrimok's note given to you in Holmin.>
say <|cl|iAh, Thrimok! Yes, I know him well. He must see you a trustworthy man. Follow me.|cb|xi>
msg <The men leave to the north, then you can see them move west after.>

end define

define procedure <~Internal Procedure 26>
msg <Some guards come up to you>
say <|cl|iWhat business may you have here?|cb|xi>
msg <Uh-oh... what ARE you doing here? Better find a good reason>
say <|cl|iI know! You must be a spy, into the dungeon!|cl|xi>
goto <The Dungeon>

end define

define procedure <paperburn>
do <~Internal Procedure 27>

end define

define procedure <~Internal Procedure 27>
msg <Smart, there goes your only  piece of paper, as well as your only match>
lose <Paper>
lose <Match>

end define

define procedure <peperpen>
do <~Internal Procedure 28>

end define

define procedure <~Internal Procedure 28>
msg <You doodle on you paper fr hours... it's just so fun! Oops, ran out of ink. Nice while it lasted.>
lose <Pen>

end define

define procedure <~Internal Procedure 29>
msg <You are cruel.>
hidechar <Alley Cat>
msg <At least you get it's head.>
give <Cat Head>

end define

define procedure <~Internal Procedure 30>
say <|cl|iUhm.. who are you? Ah, it good name! I am Rinfist, yep.|cb|xi>
concealchar <Person>
revealchar <Rinfist>

end define

define procedure <~Internal Procedure 31>
if got <Rinfist's Helmet> then do <~Internal Procedure 36> else do <~Internal Procedure 37>
if got <Gold Key> and not got <Dummy Certificate> and not got <Slip> and not got <Rinfist's Helm> then do <~Internal Procedure 38>

end define

define procedure <~Internal Procedure 32>
lose <Slip>
say <|cl|iHmm.. ah, yes... Rinfist's helmet... just a second...|xi|cb>
concealchar <Lowhem>
msg <He goes to the back of the room, and you wait.>
pause <6000>
revealchar <Lowhem>
say <|cl|iHere we are|cb|xi>
give <Rinfist's Helmet>

end define

define procedure <~Internal Procedure 33>
lose <Rinfist's Helm>
say <Ooh, thenkfil me bi, harhar.>
msg <He puts his helm on, then just stands there, smiling.>

end define

define procedure <~Internal Procedure 34>
msg <You give the Dummy Certificate to Rinfist. He deserves it more than you do. (though he probably didn't use a pocket knife to prove it)>
lose <Dummy Certificate>
say <Oh! Purty paypurr! Heer!>
msg <Rinfist gives you a golden key>
give <Gold Key>

end define

define procedure <~Internal Procedure 35>
lose <Note>
say <|cl|iOh? Hm...|cb|xi>
msg <Lowhem reads over the note...>
pause <6000>
say <|cl|iHm.. ah. Have you read this boy? No? Good. Go to the NorthTower,. You must rescue Frelden, Hero to the Light. He has been imprisoned there by Izuran, a black mage. The North Tower is far, far north of here. Are you up to it? Yes? Good.|cb|xi>
say <|cl|iHere, this will help you get to Izuran|cb|xi>
give <Key>
msg <Lowhem gives you a key.>

end define

define procedure <~Internal Procedure 36>
lose <Rinfist's Helmet>
say <|cl|iOoh! Thenkfil my bi!|cb|xi>
msg <Rinfis puts his helmet on his head>
msg <He grins stupidly>

end define

define procedure <~Internal Procedure 37>
say <|cl|iOh, me halmot ulmest dane. Ken youd got its fer my?|cb|xi>
msg <he smiles like the not-so-smart person he is>
say <|cl|iOh, heer|cb|xi>
msg <Gives you a slip written in ink>
give <Slip>

end define

define procedure <~Internal Procedure 38>
msg <Rinfist bows>
say <|cl|iBiyee|cb|xi>
msg <Rinfist left just as slow as his head.>
concealchar <Rinfist>

end define

define procedure <~Internal Procedure 39>
lose <Dummy Certificate>
say <Oh, thenks! hehe>
msg <He grins. He desrves it more than you. (at least he didn't use a toothpick to prove it)>
say <Ah! Heer!>
msg <Rinfist gives you a gold key!>
give <Gold Key>

end define

define procedure <~Internal Procedure 40>
msg <The toothpick breaks against the Cityguard's armour as you attempt to attack him with it. For that, you recieve the Dummy Certificate! Congratualtions!>
give <Dummy Certificate>
lose <Toothpick>

end define

define procedure <~Internal Procedure 41>
say <|cl|iHey! Get your paws off that, you hear?|cb|xi>
pause <1000>
say <.. |cg|bstupid grocer|xb|cb..>

end define

define procedure <~Internal Procedure 42>
msg <You begin to drool on the veggies..>
say <|cl|iHey, you! Stop that now!|xi|cb>
pause <1000>
msg <..|cg|bstupid grocer|xb|cb..>

end define

define procedure <~Internal Procedure 43>
say <...|cl|iand so|cb|xi...>
msg <Ah, they aren't even paying attention to you.>

end define

define procedure <~Internal Procedure 44>
msg <Although you shouldn't, you do, and you end up in the dungeon for killing Poltor.>
goto <The Dungeon>
playerlose <>

end define

define procedure <~Internal Procedure 45>
lose <Gate Pass>
msg <You give your gate pass to Hod>

end define

define procedure <~Internal Procedure 46>
lose <Gate Pass>
msg <You give your gate pass for Holmin to Poltor.>
say <|i|clHm? Oh, thank you, I do.|cb|xi >
msg <Poltor leaves>
hidechar <Poltor>
pause <4000>
msg <Wow, that sure seemed like a waste.. oh, well>

end define

define procedure <~Internal Procedure 47>
msg <The door opens, and you walk inside the room before you.>
lose <Gold Key>
goto <Rusty Room>

end define

define procedure <~Internal Procedure 48>
msg <That would be stealing! Shame!>
pause <4000>
msg <Fooled you! Of course you may take it>
give <Compact Mirror>
concealobject <small mirror>

end define

define procedure <~Internal Procedure 49>
msg <You enter the Ogre Wood, and your journey is near its end.>
goto <Ogre Wood>

end define

define procedure <~Internal Procedure 50>
lose <Gate Pass>
msg <That gate pass is only for Holmin, you don't need it here.>
msg <You take your gate pass back>
give <Gate Pass>

end define

define procedure <~Internal Procedure 51>
msg <You levae Bolsis, and travel to the Ogre Wood, where the end of your quest nears.>
goto <Ogre Wood>

end define

define procedure <~Internal Procedure 52>
msg <You come out from behind a tree to converse with the ogre.>
say <|cr|iOh, fresh meat for Krogg!|cb|xi>
msg <He begins to chase you through the forest. He is fast for an ogre and catches up to you...>
playerlose <>

end define

define procedure <~Internal Procedure 53>
msg <You jump out from behind the tree and charge at the ogre with your blade, well, Gurtonis's.>
msg <The ogre moves around and you cut him in the arm. he kicks you away and your back collides with a boulder... you fall and are unconscious...>
playerlose <>

end define

define procedure <~Internal Procedure 54>
msg <You jump out from behind the tree and charge at the Ogre.>
msg <he spins around and you cut him in the arm. he kicks you away and your back collides with a boulder... you fall and are uncounscious...>
playerlose <>

end define

define procedure <~Internal Procedure 55>
msg <From behind your tree, you toss out a head of a cat. It bounces off the ground a few times before the Ogre stops it.>
hidechar <Ogre>
say <|cr|iOh, Krogg hungry for cat! Yummy!|cb|xi>
msg <The Ogre seems occupied..>
showchar <Dining Ogre>
lose <Cat Head>

end define

define procedure <~Internal Procedure 56>
msg <You jump out from behind your tree, run up to the ogre and stab him through his back and into his heart. He collapses.>
hidechar <Dining Ogre>
showchar <Ogre Corpse>

end define

define procedure <~Internal Procedure 57>
msg <Looks like the ogre you killed, except it's dead.>
pause <500>
msg <Oh? What's this?>
msg <The ogre was holding a club. Might as well take it.>
give <Club>

end define

define procedure <~Internal Procedure 58>
msg <Good job! You light the paper, and before it can burn out you light the club, making a dandy torch!>
lose <Match>
lose <Paper>
lose <Club>
give <Torch>

end define

define procedure <~Internal Procedure 59>
msg <The Ogre dead, nothing stops you from entering the Icon key into the tower door>
lose <Icon Key>
msg <You enter the Tower>
if got <Torch> then goto <Izuran's Tower, Floor 1> else goto <Pitch Black>

end define

define procedure <~Internal Procedure 60>
msg <You wander aound the tower, blind to all. You hit walls and trip on stones.>
pause <2750>
msg <You wander in the tower for days, and starve... guess Frelden can get out himself.>
playerlose <>

end define

define procedure <~Internal Procedure 61>
msg <You cut some mold off the wall.>
msg <The mold you cut off falls to the ground.>

end define

define procedure <~Internal Procedure 62>
msg <You take the match.>
give <Match>
hideobject <match>

end define

define procedure <~Internal Procedure 63>
msg <You take a piece of paper.>
give <Paper>
hideobject <paper>

end define

define procedure <~Internal Procedure 64>
msg <You take the toothpick.>
give <Toothpick>
hideobject <toothpick>

end define

define procedure <~Internal Procedure 65>
msg <You take a pen.>
give <Pen>
hideobject <pen>

end define

define procedure <Key>
do <~Internal Procedure 68>

end define

define procedure <~Internal Procedure 66>
msg <the ogre dead, you unlock the door and enter... the door closes behind you.>
if got <Torch> then goto <Izuran's Tower, Floor 1> else goto <Pitch Black>

end define

define procedure <~Internal Procedure 67>
msg <You use the key on the tower door, and enter... the door closes behind you.>
if got <Torch> then goto <Izuran's Tower, Floor 1> else goto <Pitch Black>

end define

define procedure <~Internal Procedure 68>
msg <You quietly unlock and open the stone door, making certain no one or thing will hear you. You enter the tower, and the door shuts behind you...>
if got <Torch> then goto <Izuran's Tower, Floor 1> else goto <Pitch Black>

end define

define procedure <~Internal Procedure 69>
msg <You call it all sorts of bad names. so, instead of just walking up to you, it starts running towards you! It chases you all the way out of the tower.>
goto <Ogre Wood>
msg <You are back in the forest.>

end define

define procedure <~Internal Procedure 70>
msg <You get down on your knees and beg it for mercy. it pays no attenton and is upon you... it slowly absorbs you into itself.>
playerlose <>

end define

define procedure <~Internal Procedure 71>
msg <You try to attack it, and it goes into combat mode. Get ready.>
hidechar <Slime Creature>
showchar <Slime Monster>

end define

define procedure <~Internal Procedure 72>
if ask <Ok, you have to beg for mercy or attack it.  Will you beg for mercy?> then do <~Internal Procedure 70> else do <~Internal Procedure 71>

end define

define procedure <~Internal Procedure 73>
msg <You slice into the monster with your blade, only for it to get absorbed!>
lose <Blade>

end define

define procedure <~Internal Procedure 74>
msg <You thrust the flaming torch at the monster, and it backs up... look like it doesn't like fire.>
pause <1750>
msg <You continue to attack with your torch, and connect! The monster falls apart, and you get a Remote from it's body.. it must've absorbed it.>
give <Remote>
pause <4000>
msg <Your torch grew very dim from that encounter.>

end define

define procedure <~Internal Procedure 75>
msg <*BeeP* *BeeP*>
pause <1000>
msg <The door slowly opens, and you enter.>
msg <Stairs lead up to the next floor.>
msg <You climb the stairs higher into the tower.>
goto <Top Floor>

end define

define procedure <~Internal Procedure 76>
msg <Alright>
playerlose <>

end define

define procedure <~Internal Procedure 77>
msg <You turn around and begin to go back the way you came, but you feel a sharp blow on the back of you head. You fall down and don't get up again.>
playerlose <>

end define

define procedure <~Internal Procedure 78>
say <Really? What a shame. You are no fun. I, Hilfalgen, recommend you just go home.>
if ask <Will you just leave?> then do <~Internal Procedure 77> else msg <You stand your ground.>

end define

define procedure <~Internal Procedure 79>
msg <The man frowns.>
say <Oh? Well.. maybe i have something that will cheer you up... a game. It iscalled Dark Realms.. would you like to play it?>
if ask <Do you want to play Dark Realms?> then do <~Internal Procedure 76> else do <~Internal Procedure 78>

end define

define procedure <~Internal Procedure 80>
say <Hello.>
msg <The man grins.>
say <How are you? Are you well?>
if ask <Are you well? Yes or no?> then say <Glad to hear of it.> else do <~Internal Procedure 79>

end define

define procedure <mantalk>
do <~Internal Procedure 86>

end define

define procedure <~Internal Procedure 81>
msg <Alright>
playerlose <>

end define

define procedure <~Internal Procedure 82>
msg <You turn around and are about to leave when you feel a sharp blow to the back of your head..You fall, and never get back up.>
playerlose <>

end define

define procedure <~Internal Procedure 83>
msg <You stand your ground.>
say <|cl|iYou really want to defy Hilfalgen?|cb|xi>
msg <He grins. The little light in the room shines brightly off somewhat pointy teeth.>
hidechar <Man>
showchar <Hilfalgen>

end define

define procedure <~Internal Procedure 84>
say <|cl|iYou really are no fun, you know. Just go home.|cb|xi>
pause <5000>
if ask <Do as the man says?> then do <~Internal Procedure 82> else do <~Internal Procedure 83>

end define

define procedure <~Internal Procedure 85>
msg <The man frowns>
say <|i|clHmm, really. Well, I have a game that will cheer you right up... Dark Realm, it is called. Care to play it?|cb|xi>
do <anykey>
if ask <Play Dark Realm?> then do <~Internal Procedure 81> else do <~Internal Procedure 84>

end define

define procedure <~Internal Procedure 86>
if ask <How are you sir? Are you well?> then msg <|i|clGlad to hear of it.|cb|xi> else do <~Internal Procedure 85>

end define

define procedure <~Internal Procedure 87>
msg <You unleash your blade and charge Hilfalgen in one sweeping movement. however, Hilfalgen is faster, and as you approach he turns aside and kicks you in the side, making you lose your balance and fall over the edge of the railing... you fall all the way down the tower, and crash through the Ogre Wood.>
playerlose <>

end define

define procedure <~Internal Procedure 88>
msg <Why you do it, you don't know, but Hilfalgen gets an image in the mirror unimaginable.... nothing. He charges straight for you to try and knock the mirror out of your hand. he does so, but then he himself falls off the tower's edge, plummeting to his doom. Perhaps not even a vampire can survive that.>
hidechar <Hilfalgen>
pause <6000>
msg <Best to continue...>

end define

define procedure <~Internal Procedure 89>
msg <     You charge Izuran and stab him through his heart. he fall, as does the rope. You try and grasp it but it is magical painful to your skin. Frelden is hanged.>
pause <9000>
msg <      You return to Holmin, weeks later, and tell of Izuran's and Frelden's death. the Evil Lord has ceased, yet so has the Holy Lord, Frelden.>
pause <7500>
playerwin <>

end define

define procedure <~Internal Procedure 90>
do <izuranchoice>
if ask <"I hold the rope, dear friend. Charge and slay me, if you wish, but Frelden will be hanged if that is the case. Or, you could hurl your blade at the rope, but then you will be defenseless against my onslaught. Then I will escape, and Frelden may return alive. But you won't."                 Kill Izuran?> then do <~Internal Procedure 89> else do <~Internal Procedure 91>

end define

define procedure <~Internal Procedure 91>
msg <Instead of killing Izuran, you hurl your blade at the rope suspending Frelden. As he falls to the ground, he suffers minor injuries. Izuran castsa spell and you are felled.>
displaytext <Frelden Survives>
if NOT got <Gate Pass> then do <~Internal Procedure 92>
playerwin <>

end define

define procedure <~Internal Procedure 92>
displaytext <Cities Unite>

end define

define procedure <izuranchoice>
do <~Internal Procedure 93>

end define

define procedure <~Internal Procedure 93>
say <|i|crAh, i have awaited you.|cb|xi>
do <anykey>
msg <Izuran comes out from the shadows near the very throne itself.>
say <|i|crMy dear slime is gone, and Hilfalgen, oh Hilfalgen... he was my favorite vampire... but, what do you plan to do?|cb|xi>
do <izuranchoice2>

end define

define procedure <izuranchoice2>
do <~Internal Procedure 94>

end define

define procedure <~Internal Procedure 94>
msg <|i|crYou have the choice, my dear friend, of slaying me, or saving Frelden, just over there.|cb|xi>
msg <He points to the ceiling, and a hatch opens and a rope hangs a little way from it. The rope is attached to Frelden's neck.>
do <anykey>

end define

define procedure <~Internal Procedure 95>
msg <You thrust your torch at the slime monster, and it backs away, hesitant to attack you.>
msg <You continue to hold off the monster, and hecharges you! You strike it down with the flame, and it falls to a gooey puddle.>
msg <You can see some type of device inside the puddle... looks like a remote.>
hidechar <Slime Monster>
give <Remote>

end define

define procedure <~Internal Procedure 96>
say <|cg|bMay your body never stir again, Vampire Hilfalgen!|cb|xb>
say <|cl|iWhat? No!|xi|cb>
msg <Hilfalgen advances on you, and you bring out your blade and slice him in two. The two halves fall down the ledge of the top floor, and disappear into darkness.>
hidechar <Hilfalgen>
pause <20000>
msg <Best to continue... your quest is almost at an end!>
pause <5000>
if ask <You continue through the hallway  before you, and with what little light remains of your torch. After a minute, you are dissapointed to find it go out, and as you turn a corner, a light of torches on walls greet you. One on each side of a door... a door of evil worth.  Will you enter?> then do <~Internal Procedure 97> else do <~Internal Procedure 98>

end define

define procedure <~Internal Procedure 97>
msg <You enter Izuran's throne room>
goto <Izuran's Throne Room>

end define

define procedure <~Internal Procedure 98>
msg <Might as well head back.... you are not powerful enough to face Izuran after all.>
displaytext <Coward's Fate>
playerlose <>

end define

define procedure <anykey>
do <~Internal Procedure 99>

end define

define procedure <~Internal Procedure 99>
msg <|cb|jcPress Any Key|w|c>
msg <|jl>

end define

define text <intro>
|s40|jcThe Dark|nRealm 1: Black Tower|n|s00|jcYou are son to a forgotten warrrior that no one has heard of in years. He left when you were 5, and you don't remember him well. you have been searching in your small city of Holmin for him, although you may believe he may be elsewhere, on journeys and adventures searching for gold or restoring peace. You finally decide to leave Holmin, except you need a pass to leave or enter the city. Good luck to you.|n|jcPress Any Key|w|c

|jl|cg|bLeaving again, Father?|cb|xb|n|cg|iYes, I must... to rid of this evil cast on the world...remember me.|cb|xi|nHe has left out the window, and your last image of him was long forgotten by even yourself.|n|jcPress Any Key|w|c|jl











end define

define text <win>












end define

define text <lose>












end define

define text <Welcome to the Dark Realm..>
Enter text here...











end define

define text <Frelden Survives>
You have felled rescuing Frelden and restoring balance to the forces of good and evil. None shall become more powerful, as it was meant to be, so the equalizier of alignment wars may continue, for there is no good if there is no evil to contrast and compare.

end define

define text <Cities Unite>
Frelden, meanwhile, tells of your brave deed, risking your life for his, even though Izuran escaped. Poltor of Bolsis remembers your kind deed and allowing him to travel and visit Holmin. Together the two organized the towns to combine into one, named Tromoltresus. Ever since Tromoltresus has thrived, economically and politically. Although many adventurers look for a challnge of bravery to be remembered, none shall be remembered more, then the tale told today.

|jc|s30...And so one Hero of Light has returned, while another perished...|n|jl|s00

end define

define text <Coward's Fate>
You may have deafeated all his men, all his evil he may have control over.... but you could not face the source.... who knows the fate of Frelden now? And what will you tell Thrimok and Lowhem of your failure?
end define


